{
  "extends": ["plugin:jsdoc/recommended", "next/core-web-vitals", "next"],
  "plugins": ["header", "unused-imports"],
  "rules": {
    "jsdoc/no-undefined-types": "off",
    "unused-imports/no-unused-vars": "off",
    "jsdoc/require-param-description": "off",
    "jsdoc/require-param-type": "off",
    "react-hooks/exhaustive-deps": "off",
    "jsdoc/check-tag-names": "off",
    "jsdoc/require-returns-description": "off",
    "jsdoc/check-param-names": "error",
    "jsdoc/require-returns-check": "error",
    "jsdoc/newline-after-description": "error",
    // unused-imports
    "no-unused-vars": "off",
    "unused-imports/no-unused-imports": "error",
//    "unused-imports/no-unused-vars": [
//      "warn",
//      {
//        "vars": "all",
//        "varsIgnorePattern": "^_",
//        "args": "after-used",
//        "argsIgnorePattern": "^_"
//      }
//    ],
    // Style.
    "header/header": [2, "config/licence-header"],
    "jsdoc/tag-lines": 0,
    "max-classes-per-file": ["error", 1],
    "eol-last": ["error", "always"],
    "jsdoc/require-returns": ["error", {"forceRequireReturn":false}],
    "jsdoc/require-returns-type": ["error", {"contexts":["any"]}],
//    "jsdoc/require-returns-description": ["error"],
    "jsdoc/require-param": ["error", {"checkDestructured":false}],
    "jsdoc/require-jsdoc": ["error", {
      "require":{
        "FunctionDeclaration": true,
        "MethodDefinition": true,
        "ClassDeclaration": true,
        "ArrowFunctionExpression": true,
        "FunctionExpression": true
      }
    }]
  }
}
